PostNotificationsThread (notifications-common-library 1.4.0-4.5.0-142103 API)
Date: 2017-06-09

org.gcube.portal.notifications.thread

## Class PostNotificationsThread

- java.lang.Object
- - org.gcube.portal.notifications.thread.PostNotificationsThread

- All Implemented Interfaces:
    Runnable

      public class PostNotificationsThread
      extends Object
      implements Runnable

  Author:
    Massimiliano Assante ISTI-CNR

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PostNotificationsThread(org.gcube.vomanagement.usermanagement.UserManager userManager, String postId, String postText, String groupId, org.gcube.applicationsupportlayer.social.NotificationsManager nm, Set<String> hashtags, Set<String> mentionedVREGroups)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PostNotificationsThread

          public PostNotificationsThread(org.gcube.vomanagement.usermanagement.UserManager userManager,
                                         String postId,
                                         String postText,
                                         String groupId,
                                         org.gcube.applicationsupportlayer.social.NotificationsManager nm,
                                         Set<String> hashtags,
                                         Set<String> mentionedVREGroups)

      Parameters:
        `userManager` -
        `postId` -
        `postText` -
        `groupId` -
        `nm` -
        `hashtags` -
        `mentionedVREGroups` -

  - ### Method Detail

    - #### run

          public void run()

      Specified by:
        `run` in interface `Runnable`

Copyright © 2017. All Rights Reserved.